systemwide default startup homepage ignored

Bug #19033 reported by Philippe Seewer on 2005-07-18
40
This bug affects 4 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Medium
Mozilla Bugs

Bug Description

/etc/mozilla-firefox/pref/firefox.js documents as system wide override for the
firefox configuration.

When setting the browser.startup.homepage variable in this this file, the
configuration is only half correctly applied to new users:
- Firefox starts with a blank page
- Clicking on home displays the default ubuntu index file
- Using about:config shows that browser.startup.homepage is set to the value in
/etc/.../firefox.js

-> The configuration is applied but firefox ignores it.

Thierry Moisan (thierryn) wrote :

Does this still happen in breezy?

David Farning (dfarning) wrote :

Tested under breezy
firefox 1.0.7-0ubuntu20
i686

Reproducible always.

Steps to reproduce:
append pref("browser.startup.homepage", "news.yahoo.com"); to
/etc/mozilla-firefox/pref/firefox.js
restart browser

Expected behavior when opening browser:
news.yahoo.com should be new home page

Actual behavior:
browser opens to blank page

Expected behavior when clicking home icon:
news.yahoo.com should open

Actual behavior:
file:///usr/share/ubuntu-artwork/home/index.html opens.

-dtf

Ian Jackson (ijackson) on 2006-09-27
Changed in firefox:
assignee: ijackson → nobody
David Farning (dfarning) on 2006-12-31
Changed in firefox:
assignee: nobody → mozillabugs
David Farning (dfarning) on 2007-02-24
Changed in firefox:
assignee: mozillateam → mozilla-bugs
Jen Ockwell (rj-ockwell) wrote :

Does anyone still have this problem?

jwieler (john-wieler) wrote :

I have tested in Feisty and Gusty, and it's the same.

Martin Marcher (martinmarcher) wrote :

Don't know if that helps anyone but I found a workaround for that. Posted it under:

https://help.ubuntu.com/community/FirefoxMandatoryPreferences

feel free to correct it I'm not a native english speaker so there may be inappropriate wordings in there.

hth
martin

Jordan Erickson (lns) wrote :

I'm still seeing this bug in Gutsy with all updates. :(

Michael Adams (madams) wrote :

Hardy has this bug too. Setting welcome & override URLs are also disregarded.

http://kb.mozillazine.org/Startup.homepage_welcome_url
http://kb.mozillazine.org/Startup.homepage_override_url

Jordan Erickson (lns) wrote :

I just tried setting a default already present in the /etc/firefox/pref/firefox.js file from 'false' to 'true' - and it has no effect on the configuration when restarting FF3 and peeking at the value in about:config.

It looks to me like the /etc/firefox/pref/firefox.js is completely disregarded by Ubuntu (I'm using 8.04.1).

Jordan Erickson (lns) wrote :

I've got to retract my last comment on 2008-08-20 - I guess that was an isolated incident. Sorry for any confusion, though the default startup page still does not work.

furicle (furicle) wrote :

Is there no work around for this? I'm lost in a sea of documentation, most of it referring to Windows or FF2....

Not that I have seen myself...it just "doesn't work". :(

Bump?

furicle wrote:
> Is there no work around for this? I'm lost in a sea of documentation,
> most of it referring to Windows or FF2....
>
>

Steve Cayford (cayfo001) wrote :

Can this still be the same bug three years later? I'm seeing this in Firefox/3.0.3 on Hardy.

Jordan Erickson (lns) wrote :

Unfortunately, yes. :( Sure would be nice to have this fixed. It seems
that this parameter is the only one that I've found that is ignored by
Firefox (both 2.x and 3.x).

- Jordan

Steve Cayford wrote:
> Can this still be the same bug three years later? I'm seeing this in
> Firefox/3.0.3 on Hardy.
>
>

There is a workaround:

By following http://kb.mozillazine.org/Locking_preferences create a .cfg file and put in

<pre>
//
pref("browser.startup.homepage", "XXX");
</pre>

Where XXX ist your default startup homepage.

Please not that with 8.04, replace local-settings.js with /etc/xulrunner-1.9/system-grepref.js and the .cfg file should go to /usr/lib/firefox-3.0.3 or whatever the current firefox update status is.

furicle (furicle) wrote :

On Mon, Sep 29, 2008 at 8:15 AM, Philippe Seewer <email address hidden> wrote:
> There is a workaround:
> By following http://kb.mozillazine.org/Locking_preferences create a .cfg
> file and put in
> <pre>
> //
> pref("browser.startup.homepage", "XXX");
> </pre>
>
> Where XXX ist your default startup homepage.
>
>
> Please not that with 8.04, replace local-settings.js with /etc/xulrunner-1.9/system-grepref.js and the .cfg file should go to /usr/lib/firefox-3.0.3 or whatever the current firefox update status is.

Have you actually tried this? I can't seem to get it to work.
Perhaps I don't completely understand you.

If I specify an additional config file location in
/etc/xulrunner-1.9/system-grepref.js as you suggest, it doesn't appear
to do anything, and doesn't show up in about:config

I tried the lockPref( both ROT13'd and straight up, as well as just
pref(. Is ROT13 still required?

If I use /usr/lib/firefox-xxx won't that get overridden after each
update? There were two this month....

Any further clarity here is *really appreciated*

<rant>
Are all the various configuration files laid out anywhere? There's
/etc/firefox, /etc/firefox-3xx, /usr/lib/firefox,
/usr/lib/firefox-3xx, /etc/xulrunner-1.9, /usr/lib/xulrunner,
/usr/lib/xulrunner-addons/, /usr/lib/xulrunner-1.xxx (multiple copies)
each and every one of those with multiple sub directories. To boot,
sometimes the series specific folders are linked to the generic ones
and sometimes they aren't. Sometimes they refer to each other and
sometimes they don't.

Did I mention there are six entries in about:config that have the word
startup in them?

How did we end up with such a pile of spaghetti? It's no wonder it's broken!
</rant>

Jordan Erickson (lns) wrote :

It is my stance that most of this should be covered in the
/etc/firefox-3.0/pref/firefox.js file (if using FF3.x), as this is the
pref file that all other global options are set (and seem to work fine
besides this one pref).

- Jordan

furicle wrote:
> On Mon, Sep 29, 2008 at 8:15 AM, Philippe Seewer <email address hidden> wrote:
>
>> There is a workaround:
>> By following http://kb.mozillazine.org/Locking_preferences create a .cfg
>> file and put in
>> <pre>
>> //
>> pref("browser.startup.homepage", "XXX");
>> </pre>
>>
>> Where XXX ist your default startup homepage.
>>
>>
>> Please not that with 8.04, replace local-settings.js with /etc/xulrunner-1.9/system-grepref.js and the .cfg file should go to /usr/lib/firefox-3.0.3 or whatever the current firefox update status is.
>>
>
>
> Have you actually tried this? I can't seem to get it to work.
> Perhaps I don't completely understand you.
>
> If I specify an additional config file location in
> /etc/xulrunner-1.9/system-grepref.js as you suggest, it doesn't appear
> to do anything, and doesn't show up in about:config
>
> I tried the lockPref( both ROT13'd and straight up, as well as just
> pref(. Is ROT13 still required?
>
> If I use /usr/lib/firefox-xxx won't that get overridden after each
> update? There were two this month....
>
> Any further clarity here is *really appreciated*
>
> <rant>
> Are all the various configuration files laid out anywhere? There's
> /etc/firefox, /etc/firefox-3xx, /usr/lib/firefox,
> /usr/lib/firefox-3xx, /etc/xulrunner-1.9, /usr/lib/xulrunner,
> /usr/lib/xulrunner-addons/, /usr/lib/xulrunner-1.xxx (multiple copies)
> each and every one of those with multiple sub directories. To boot,
> sometimes the series specific folders are linked to the generic ones
> and sometimes they aren't. Sometimes they refer to each other and
> sometimes they don't.
>
> Did I mention there are six entries in about:config that have the word
> startup in them?
>
> How did we end up with such a pile of spaghetti? It's no wonder it's broken!
> </rant>
>
>

Yes, the current firefox directory layout is a bit cluttered up.

Anyway, step by step instructions for fully updated 8.04.1 as of this date:

1. create file mozilla.txt with the following contents
//
pref("browser.startup.homepage", "http://www.launchpad.net");

2. Convert mozilla.txt to mozilla.cfg by using http://www.alain.knaff.lu/~aknaff/howto/MozillaCustomization/cgi/byteshf.cgi

3. Close all firefox instances

4. Edit/Create /etc/xulrunner-1.9/system-grepref.js and add
pref("general.config.filename", "mozilla.cfg");

5. Copy the file mozilla.cfg to /usr/lib/firefox-3.0.3

6. Start firefox, the default homepage should now be http://www.launchpad.net

furicle (furicle) wrote :

On Wed, Oct 1, 2008 at 3:17 AM, Philippe Seewer <email address hidden> wrote:
> Yes, the current firefox directory layout is a bit cluttered up.
>
> Anyway, step by step instructions for fully updated 8.04.1 as of this
> date:
>
> 1. create file mozilla.txt with the following contents
> //
> pref("browser.startup.homepage", "http://www.launchpad.net");
>
> 2. Convert mozilla.txt to mozilla.cfg by using
> http://www.alain.knaff.lu/~aknaff/howto/MozillaCustomization/cgi/byteshf.cgi
>
> 3. Close all firefox instances
>
> 4. Edit/Create /etc/xulrunner-1.9/system-grepref.js and add
> pref("general.config.filename", "mozilla.cfg");
>
> 5. Copy the file mozilla.cfg to /usr/lib/firefox-3.0.3
>
> 6. Start firefox, the default homepage should now be
> http://www.launchpad.net
>
>
> ** Attachment added: "Working mozilla.cfg"
> http://launchpadlibrarian.net/18100995/mozilla.cfg

I cannot get this to work - even using your supplied mozilla.cfg.

Brian

Jordan Erickson (lns) wrote :

Philippe, it's great to have workarounds but let's not treat this as a
"solution" - the problem lies in that /etc/firefox-3.0/pref/firefox.js
(which has always been the default global config for Firefox, regardless
of Xulrunner) does not honor the browser.startup.homepage pref.

I seriously can't believe this bug has been open since 2005. This is
really sad.

Philippe Seewer wrote:
> Yes, the current firefox directory layout is a bit cluttered up.
>
> Anyway, step by step instructions for fully updated 8.04.1 as of this
> date:
>
> 1. create file mozilla.txt with the following contents
> //
> pref("browser.startup.homepage", "http://www.launchpad.net");
>
> 2. Convert mozilla.txt to mozilla.cfg by using
> http://www.alain.knaff.lu/~aknaff/howto/MozillaCustomization/cgi/byteshf.cgi
>
> 3. Close all firefox instances
>
> 4. Edit/Create /etc/xulrunner-1.9/system-grepref.js and add
> pref("general.config.filename", "mozilla.cfg");
>
> 5. Copy the file mozilla.cfg to /usr/lib/firefox-3.0.3
>
> 6. Start firefox, the default homepage should now be
> http://www.launchpad.net
>
>
> ** Attachment added: "Working mozilla.cfg"
> http://launchpadlibrarian.net/18100995/mozilla.cfg
>
>

furicle wrote:
> I cannot get this to work - even using your supplied mozilla.cfg.
>
> Brian

I've just verified it on an indepentent ubuntu setup and it works. Are
you sure you have the latest upgrades and gotten rid of all firefox
processes?

Jordan Erickson wrote:
> Philippe, it's great to have workarounds but let's not treat this as a
> "solution" - the problem lies in that /etc/firefox-3.0/pref/firefox.js
> (which has always been the default global config for Firefox, regardless
> of Xulrunner) does not honor the browser.startup.homepage pref.

Jordan, I wholeheartedly agree. My workaround is not a solution, it's
just a workaround until we have a solution which will probably be around
2011 or so.

Seriously, I've tried hunting down that bug a few times over the last
few years with no success. Any ideas are appreciated.

Regards,
Philippe

Jordan Erickson (lns) wrote :

What's interesting, IIRC, is that this bug doesn't exist in Debian.
Maybe someone can verify this and track it down that way?

Philippe Seewer wrote:
> Jordan Erickson wrote:
>
>> Philippe, it's great to have workarounds but let's not treat this as a
>> "solution" - the problem lies in that /etc/firefox-3.0/pref/firefox.js
>> (which has always been the default global config for Firefox, regardless
>> of Xulrunner) does not honor the browser.startup.homepage pref.
>>
>
> Jordan, I wholeheartedly agree. My workaround is not a solution, it's
> just a workaround until we have a solution which will probably be around
> 2011 or so.
>
> Seriously, I've tried hunting down that bug a few times over the last
> few years with no success. Any ideas are appreciated.
>
> Regards,
> Philippe
>
>

furicle (furicle) wrote :

On Wed, Oct 1, 2008 at 2:24 PM, Philippe Seewer <email address hidden> wrote:
> furicle wrote:
>> I cannot get this to work - even using your supplied mozilla.cfg.
>>
>> Brian
>
> I've just verified it on an indepentent ubuntu setup and it works. Are
> you sure you have the latest upgrades and gotten rid of all firefox
> processes?

Yes.

It's possible I suppose in my attempts to get it to work I have other
entries in one of those configuration files somewhere that conflicts
with your entry. I don't know quite where to start....

Brian

Jordan Erickson (lns) wrote :

Philippe, I have also tried your method from comment on 2008-10-01, both with generating my own mozilla.cfg and using your supplied config. I verified and reverified all settings in your workaround with no avail. /etc/firefox/pref/firefox.js *still* isn't honoring the homepage setting, either. This is a fully updated 8.04.1 and FF 3.0.5.

I've got an elementary school district with 7 schools that need to have a lockedPref to set homepage to google.com. It makes it difficult for the teachers to use their (very short amount of) computer lab time effectively when they need to direct students to a website that they want to have come up automatically in the first place. They look to me to set this stuff up, and I'm hoping to get this bug resolved ASAP.

  • mozilla.cfg Edit (62 bytes, application/octet-stream; name="mozilla.cfg")

Hello Jordan!

Well, first of all the Workaround is meant for you to put to the default
startup homepage into the mozilla.cfg not firefox.js. I still haven't
been able to figure out how to fix that (Although I have to admit I
wasn't able to spend much time debugging).

But second, you're correct. On a fully updated ubuntu the workaround
doesn't work anymore. The file 'system-grepref.js' got renamed to
'system-greprefs.js'. Here's an updated Workaround description:

1. create file mozilla.txt with the following contents
//
pref("browser.startup.homepage", "http://www.launchpad.net");
(Replace www.launchpad.net with your desired startup page)

2. Convert mozilla.txt to mozilla.cfg by using
http://www.alain.knaff.lu/~aknaff/howto/MozillaCustomization/cgi/byteshf.cgi

3. Close all firefox instances

4. Edit/Create /etc/xulrunner-1.9/system-greprefs.js and add
pref("general.config.filename", "mozilla.cfg");

5. Copy the file mozilla.cfg to /usr/lib/firefox-3.0.4 (Please don't
forget to move this file to the new firefox directory if firefox is updated)

6. Start firefox, the default homepage should now be what you set in
mozilla.cfg

I've attached a mozilla.cfg configured for 'http://www.google.com'.

Regards, and merry Christmas!
Philippe

Malte Cornils (malte) wrote :

This happens under Debian lenny, too. The corresponding Debian bug and a better workaround is found in Debian bug report http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=425961, starting from about the middle of the bug report where Philipp Kern has this problem question.

Malte Cornils (malte) wrote :

To be precise, adding

pref("browser.startup.homepage", "resource:/defaults/syspref/homepage.properties");

to /etc/iceweasel/pref/iceweasel.js and creating /etc/iceweasel/pref/homepage.properties containing

browser.startup.homepage=http://blog.cornils.net/

makes things work.

Jordan Erickson (lns) wrote :

Sorry Philippe, your updated workaround posted on2008-12-23 doesn't work at all. I tried both with new and existing profiles, and even altering pref to lockPref in both mozilla.txt (before converting to .cfg) and /etc/xulrunner-1.9/system-greprefs.js ...

Malte, your suggested workaround on 2009-01-05 doesn't work either (s/iceweasel/firefox/ in your suggestion).

/me hits head against wall

I will seriously have a pizza delivered to whoever can get the actual bug fixed (no workarounds). Seriously. I will.

- Jordan

turncoat (uskokovic) wrote :

Jordan, edit "/usr/lib/firefox-3*/defaults/syspref/ubufox.js" instead of /etc/firefox/pref/firefox.js

I want pizza delivered to "The Computing Centre of the School of Electrical Engineering, Bulevar kralja Aleksandra 73 paviljon 2, 11000 Belgrade, Serbia" :)

turncoat (uskokovic) wrote :

that is, /etc/firefox-3.0/pref/ubufox.js for all versions...

Jordan Erickson (lns) wrote :

turncoat, wow - so does this mean the Ubufox plugin overrides the FF default in firefox.js?

E-mail me at jerickson_-at-_logicalnetworking_-dot-_net (or msg Lns on freenode) and we'll arrange the pizza customization and commit. :)

Jordan Erickson (lns) wrote :

turncoat, whoops - spoke too soon. This didn't work either (I do have the UbuFox add-on installed and enabled). :(

---
$ cat /etc/firefox-3.0/pref/ubufox.js
lockPref("browser.startup.homepage", "http://www.launchpad.net");
---

Didn't work :(

Jordan Erickson (lns) wrote :

Well, might be because I'm in Hardy, w/Ubufox 0.5 still. Verified this "fix" works in my ibex VM w/0.6 =)

Michael Adams (unquietwiki) wrote :

Per http://ubuntuforums.org/showthread.php?t=1516390 , the /etc/xul-ext/ubufox.js file acts as the default settings file for 10.04 and newer users. I've confirmed this on Xubuntu 10.04.2.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.